/******************************************************************************
*
* AntiMafia
* Copyright (C) 2002 by [epidemiC] AntiMafia
* Newtella
* Copyright (C) 2000 by Newtella Inc.
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*
******************************************************************************/


// ConfigDownloadPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CConfigDownloadPage dialog

class CConfigDownloadPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CConfigDownloadPage)

// Construction
public:
	CConfigDownloadPage();
	~CConfigDownloadPage();

// Dialog Data
	//{{AFX_DATA(CConfigDownloadPage)
	enum { IDD = IDD_CONFIG_DOWNLOAD_DLG };
	CButton	m_Browse;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CConfigDownloadPage)
	public:
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CConfigDownloadPage)
	afx_msg void OnBrowse();
	afx_msg void OnChangeDownloaddir();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

public:
	CPropertySheet *parentSheet;
	CString m_DownloadDir;

private:
	BOOL DirectoryValid();
};
