/******************************************************************************
*
* AntiMafia
* Copyright (C) 2002 by [epidemiC] AntiMafia
* Newtella
* Copyright (C) 2000 by Newtella Inc.
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*
******************************************************************************/


class FileInfoEx : public Object
{
public:
	FileInfoEx();
	~FileInfoEx();
	FileInfoEx(FileInfoEx &fi2);
	BOOL Serialize(FILE *file, BOOL store);
	BOOL FindNoCase(String token);
public:
	String id3, zip;
};

class FileInfo : public Object
{
public:
	FileInfo();
	~FileInfo();
	FileInfo(FileInfo &fi2);
	BOOL Dump(FILE *file);
	BOOL Serialize(FILE *file, BOOL store);
	BOOL FindNoCase(String token);
public:
	int index, size;
	String name, directory;
	int hostSpeed; DWORD hostIP; WORD hostPort;
	GLUID guid, clientGUID;
	FileInfoEx ext;
	SYSTEMTIME SystemTime ;
};

class FileWorker
{
public:
	FileWorker();
	~FileWorker();
	BOOL BuildIndex();
	BOOL CompileIndex();
	BOOL BuildMP3Index();
	int SearchFile(String search, List *list);
	int CountFiletype(String type);
	int TotalSize();
private:
	BOOL MakeDirectoryList(String dir);
	int Matches(FileInfo fi, String search);
	String GetID3(String filename);
public:
	List fileList;
	Buffer cIndex;
	int *cIndexIndexes;
private:
	List directoryList;
	int totalSize;
};

