/******************************************************************************
*
* AntiMafia
* Copyright (C) 2002 by [epidemiC] AntiMafia
* Newtella
* Copyright (C) 2000 by Newtella Inc.
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*
******************************************************************************/


#define LIST_SERIALIZEVERSION		2
#define FILEINFO_SERIALIZEVERSION	6

#define STORE_VAR(x) if (fwrite(&x, 1, sizeof(x), file) != sizeof(x)) goto serializeFailed;
#define STORE_SUBCLASS(x) if (!x.Serialize(file, store)) goto serializeFailed;
#define STORE_BUFFER(x, y) if (fwrite(x, 1, y, file) != y) goto serializeFailed;
#define LOAD_VAR(x) if (fread(&x, 1, sizeof(x), file) != sizeof(x)) goto serializeFailed;
#define LOAD_SUBCLASS(x) if (!x.Serialize(file, store)) goto serializeFailed;
#define LOAD_BUFFER(x, y) if (fread(x, 1, y, file) != y) goto serializeFailed;
#define CHECK_VERSION() LOAD_VAR(fileVersion); \
						if (fileVersion != serializeVersion) \
							goto serializeFailed;



class Object
{
public:
	Object();
	virtual ~Object() = 0;
	virtual BOOL Dump(FILE *file);
	virtual BOOL Serialize(FILE *file, BOOL store=FALSE);
};
