/******************************************************************************
*
* AntiMafia
* Copyright (C) 2002 by [epidemiC] AntiMafia
* Newtella
* Copyright (C) 2000 by Newtella Inc.
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*
******************************************************************************/


// AntiMafiaSheet.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CAntiMafiaSheet

class CAntiMafiaSheet : public CPropertySheet
{
	DECLARE_DYNAMIC(CAntiMafiaSheet)

// Construction
public:
	CAntiMafiaSheet(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	CAntiMafiaSheet(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	virtual BOOL OnInitDialog();

// Attributes
public:
	CConnectionPage ConnectionPage;
	CActionPage ActionPage;
	CNewAction NewAction;

	CConfigPage ConfigPage;
	CAboutPage AboutPage;
	CButton AdvancedConfigButton ;
	CFont font;
	HICON errorIcon, AntiMafiaIcon;
	CMenu MainMenu ;
	CBitmap AntiMafiaLogo ;
	CDC AntiMafiaLogoDC ;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAntiMafiaSheet)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CAntiMafiaSheet();

	// Generated message map functions
protected:
	//{{AFX_MSG(CAntiMafiaSheet)
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnPaint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
