/******************************************************************************
*
* AntiMafia
* Copyright (C) 2002 by [epidemiC] AntiMafia
* Newtella
* Copyright (C) 2000 by Newtella Inc.
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*
******************************************************************************/


// ConfigConnectionPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CConfigConnectionPage dialog

class CConfigConnectionPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CConfigConnectionPage)

// Construction
public:
	CConfigConnectionPage();
	~CConfigConnectionPage();

// Dialog Data
	//{{AFX_DATA(CConfigConnectionPage)
	enum { IDD = IDD_CONFIG_CONNECTION_DLG };
	CEdit	m_SpeedCtrl;
	CComboBox	m_TypeCtrl;
	UINT	m_Speed;
	CString	m_Type;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CConfigConnectionPage)
	public:
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CConfigConnectionPage)
	afx_msg void OnChangeSpeed();
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeType();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

public:
	CPropertySheet *parentSheet;

};
