#include "stdafx.h"
#include "MyTime.h"

CTimeSpan CMyTime::m_diffTime;

void CMyTime::SetUTime(time_t now)
{
	m_diffTime = CTime::GetCurrentTime() - CTime(now);
}

CTime CMyTime::GetUTime()
{
	return CTime::GetCurrentTime() - m_diffTime;
}

void CMyTime::WriteUTime(const char * section)
{
	AfxGetApp()->WriteProfileInt(section, "CMyTimeDeltaUTime", m_diffTime.GetTotalSeconds());
}

void CMyTime::ReadUTime(const char * section)
{
	int dt;
	dt = AfxGetApp()->GetProfileInt(section, "CMyTimeDeltaUTime", 0);
	m_diffTime = CTimeSpan(0, 0, 0, dt);
}